
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #30

Add support for smb:// URI's

January 03, 2012 20:22 - Jacopo Lorenzetti

Status: Closed Start date: January 03, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.2-beta1   

Description

If I double-click on a file from a SMB share in Nautilus, Audacious successfully plays it accessing it from ~/.gvfs/

If I drag the same file onto the playlist and then I doubleclick it from there, I get a No decoder found error while Audacious tries to

access it from its smb:// URI. Less frequently, instead of an error, Audacious just hangs while 'Buffering...'.

History

#1 - January 03, 2012 20:56 - John Lindgren

What transport plugins do you have built/enabled?

#2 - January 03, 2012 20:58 - John Lindgren

- Subject changed from Can't access GVFS resources via drag-and-drop from Nautilus to Can't access smb:// URI's

#3 - January 03, 2012 20:59 - John Lindgren

- Category deleted (plugins/unix io)

#4 - January 03, 2012 21:32 - Jacopo Lorenzetti

John Lindgren wrote:

What transport plugins do you have built/enabled?

 

I have File I/O, MMS Support and Neon HTTP/HTTPS Support, all three are enabled.

#5 - January 03, 2012 21:45 - John Lindgren

None of those support smb://.  You need to enable either the GIO or the SMB plugin at build time (both are in experimental stage).

#6 - January 03, 2012 21:45 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Can't access smb:// URI's to Add support for smb:// URI's

#7 - January 03, 2012 21:54 - Jacopo Lorenzetti

John Lindgren wrote:

None of those support smb://.  You need to enable either the GIO or the SMB plugin at build time (both are in experimental stage).
Ok, I'll try enabling GIO. Thanks.

#8 - January 04, 2012 01:24 - Jacopo Lorenzetti

I'm currently using the GIO Support. It tends to randomly hang the player and it's a bit freezy when seeking and changing song, but it looks promising.

#9 - January 08, 2012 03:08 - Michael Schwendt

The SMB transport plugin isn't thread-safe because of libsmb:

https://bugzilla.redhat.com/766041

#10 - April 22, 2012 15:23 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

- Target version set to 3.3

smb:// URIs will be supported via GIO in 3.3:

https://github.com/audacious-media-player/audacious-plugins/commit/7fa6dc9f23004faa9d2fad5c5a8ae427caa7d5c6
